Version 2.1.1792967583 · latest Download OpenAPI Markdown

Payment channels

Admin settings for which gateway each payment method uses and each gateways merchant parameters; secrets are write-only.

payment-channelsBillingAuthentication: Admin only2 endpoints

Get payment channel settings

GET/api/v2/payment-channels
Authentication: Admin only

Update payment channels

PUT/api/v2/payment-channels
Authentication: Admin only

Request body application/json

FieldTypeRequiredDescription
alipayAlipayGateway— Merchant parameters of the Alipay gateway.
codepayCodepayGateway— Merchant parameters of the Codepay gateway.
default_methodstring— The method selected by default on the recharge page; transfer = bank transfer (transfer must be enabled).
Values ["","alipay","wxpay","transfer"]
epayEpayGateway— Merchant parameters of the Epay gateway.
methodsPaymentMethodSet— Enable switch and gateway for each online payment method.
notify_basestring— Root URL of the panel reachable by the gateways (for example https://panel.example.com); callback URLs are built from it, and empty = orders cannot be placed.
return_urlstring— Page to return to after payment (used by Alipay desktop website payment and Epay); empty = no redirect.
transferPaymentTransfer— Offline transfer settings.
wxpayWxpayGateway— Merchant parameters of the WeChat Pay gateway.

Payment channels object

FieldTypeRequiredDescription
alipayAlipayGateway— Merchant parameters of the Alipay gateway.
codepayCodepayGateway— Merchant parameters of the Codepay gateway.
default_methodstring— The method selected by default on the recharge page; transfer = bank transfer (transfer must be enabled).
Values ["","alipay","wxpay","transfer"]
epayEpayGateway— Merchant parameters of the Epay gateway.
methodsPaymentMethodSet— Enable switch and gateway for each online payment method.
notify_basestring— Root URL of the panel reachable by the gateways (for example https://panel.example.com); callback URLs are built from it, and empty = orders cannot be placed.
return_urlstring— Page to return to after payment (used by Alipay desktop website payment and Epay); empty = no redirect.
transferPaymentTransfer— Offline transfer settings.
wxpayWxpayGateway— Merchant parameters of the WeChat Pay gateway.